https://app.mojotxt.com/api/v1/{phone_number}/donations/get/{DonationID or Keyword}
Parameters are optional and can be sent in the URL querystring or as POST variables.
| Parameter | Options | Description |
|---|---|---|
| StartTime | Integer (UNIX Timestamp) | Count only transactions made on or after this time in the TotalAmountDonated, TotalDonations, LastDonationTime and NumberOfDonors fields. |
| EndTime | Integer (UNIX Timestamp) | Count only transactions made on or before this time in those same fields. |
GET https://app.mojotxt.com/api/v1/+15555550100/donations/get/103
{
"result": "success",
"timestamp": 1793491200,
"request": {
"object": "donations",
"verb": "get",
"phone": "+15555550100",
"id": "103"
},
"record_count": 1,
"records": [
{
"DonationID": 103,
"Listed": 1,
"KeywordID": 412,
"Keyword": "BUILDING",
"FundName": "Building Fund",
"DefaultAmount": null,
"RecurringScheduleID": 0,
"CCBFund": null,
"AmountRequestMessage": null,
"ThankYou": "Thank you for your donation!",
"TotalAmountDonated": 0,
"TotalDonations": 0,
"LastDonationTime": 0,
"NumberOfDonors": 0
}
]
}